Package org.apache.catalina.tribes.group

# Class AbsoluteOrder

java.lang.Object
org.apache.catalina.tribes.group.AbsoluteOrder

public class AbsoluteOrder extends Object

Title: Membership - Absolute Order

Description: A simple, yet agreeable and efficient way of ordering members

Ordering members can serve as a basis for electing a leader or coordinating efforts.
This is stinky simple, it works on the basis of the `Member` interface and orders members in the following format:

1. IP comparison - byte by byte, lower byte higher rank
2. IPv4 addresses rank higher than IPv6, ie the lesser number of bytes, the higher rank
3. Port comparison - lower port, higher rank
4. UniqueId comparison- byte by byte, lower byte higher rank

See Also:
  - `Member`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AbsoluteOrder.AbsoluteComparator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AbsoluteOrder.AbsoluteComparator`
  `comp`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbsoluteOrder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `absoluteOrder(List<Member> members)`
  `static void`
  `absoluteOrder(Member[] members)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### comp

    public static final AbsoluteOrder.AbsoluteComparator comp

- ## Constructor Details

  - ### AbsoluteOrder

    protected AbsoluteOrder()

- ## Method Details

  - ### absoluteOrder

    public static void absoluteOrder(Member[] members)

  - ### absoluteOrder

    public static void absoluteOrder(List<Member> members)